<style>
input[type="checkbox"].data {
display: none;
margin: 0px;
padding: 0px;
background-color: #ffffff;
}
input[type="checkbox"].data + label {
margin: 0px;
padding: 0px;
border: none;
background-color: #ffffff;
}
input[type="checkbox"].data:checked + label {
margin: 0px;
padding: 0px;
border: none;
color: #3cb371;
background-color: #ffffff;
}
input[type="checkbox"].data:checked + label:hover {
margin: 0px;
padding: 0px;
color: #3cb371;
border: none;
background-color: #ffffff;
}
label.data {
margin: 0px;
padding: 0px;
text-align: center;
cursor: pointer;
color: #dddddd;
background-color: #ffffff;
border: none;
}
</style>
<div class='row align-items-top justify-content-center'>
  <div class='col'>
    <h4 style='font-size: 13pt;'><i class='fa fa-cog'></i> Result</h4>
  </div>
</div>
<div class='row align-items-top justify-content-center'>
  <div class='col-md-6'>
      <h4 style='font-size: 10pt;'>
      {% if component['electrical']['results'] %}
        <i class='fa fa-file'></i> Scan 
      {% endif %}
      </h4>
      {% if component['electrical']['results'] %}
          <table class='table table-sm table-bordered' style='font-size: 8pt;'>
            <thead class='table-light'>
              <tr>
                <th scope='col' class='text-left'>Key</th>
                <th scope='col' class='text-left'>Data</th>
              </tr>
            </thead>
            <tbody>
              {% for key in component['electrical']['results']['info'] %}
                {% if key=='component' %}
                <tr>
                  <th scope='raw' class='text-left'>{{ key }}</td>
                  <td class='text-left'>
                  {% for cmp in component['electrical']['results']['info'][key] %}
                    {% if cmp['_id']=='...' %}
                      {{ cmp['name'] }}<br>
                    {% else %}
                      <a href='{{ url_for('component_api.show_component', id=cmp['_id'], collection=cmp['collection'], runId=component['electrical']['results']['runId']) }}'>{{cmp['name']}}</a><br>
                    {% endif %}
                  {% endfor %}
                  </td>
                </tr>
                {% else %} 
                <tr>
                  <th scope='raw' class='text-left'>{{ key }}</td>
                  <td class='text-left'>{{ component['electrical']['results']['info'][key] | safe }}</td>
                </tr>
                {% endif %} 
              {% endfor %}
            </tbody>
          </table>
      {% endif %}
  </div>

  <div class='col-md-6'>
  <h4 style='font-size: 10pt;'>
  {% if component['electrical']['results']['output'] %}
    <i class='fa fa-file'></i> Output Data 
  {% else %}
    <i class='fa fa-file'></i> Output Data 
    <font color=#ff0000> ### NO DATA ###</font>
  {% endif %}
  </h4>
  {% if component['electrical']['results']['output'] %}
    <table class='table table-sm table-bordered' style='font-size: 8pt;'>
      <form class='form-holizontal' action='{{ url_for('component_api.download_data') }}' name='download' method=post>  
      {% if component['info'] %}
        <input type="hidden" name="cmp" value={{component['info']['name']}}>
      {% endif %}
      {% if component['electrical']['results']['info'] %}
        <input type="hidden" name="run" value={{component['electrical']['results']['info']['runNumber']}}>
      {% endif %}
      <thead class='table-light'>
        <tr>
          <th scope='col' class='text-left' colspan=3>Data</th>
          <th scope='col' class='text-left' rowspan=2>Display</th>
          <th scope='col' class='text-left' rowspan=2>
            Download 
            <a class='data' href='javascript:download.submit()' title='Batch Download' style='font-size: 10pt;'>
              <i class='fa fa-download'></i>
            </a>
          </th>
        </tr>
        <tr>
          <th scope='col' class='text-left'>Type</th>
          <th scope='col' class='text-left'>Format</th>
          <th scope='col' class='text-left'>Chip</th>
        </tr>
      </thead>
      <tbody>
      {% for key in component['electrical']['results']['output'] %}
        {% for output in component['electrical']['results']['output'][key] %}
        <tr>
          {% if loop.index==1 %} 
            <td scope='col' class='text-left' rowspan={{ component['electrical']['results']['output'][key]|length }}>{{ key }}</td> 
            <td scope='col' class='text-left' rowspan={{ component['electrical']['results']['output'][key]|length }}>{{ output['format'] }}</td> 
          {% endif %}
          <td class='text-left'>{{ output['chip_name'] }}</td> 
          <td class='text-left'>
            <a class='data' href='{{ url_for('component_api.display_data', code=output['code'], format=output['format']) }}' target='_brank' rel='noopener noreferrer' title='Display data' style='font-size: 10pt;'>
              <i class='fa fa-external-link-square'></i> 
            </a> 
          </td>
          <td class='text-left'>
            <input class='data' type='checkbox' id='{{output['chip_name']}}_{{key}}' name='data' value='{{output}}' style='margin:0px;padding:0px;'>
            <label class='data label' for='{{output['chip_name']}}_{{key}}'><i class='fa fa-download'></i></label>
          </td>
        </tr>
        {% endfor %}
      {% endfor %}
      </tbody>
      </form>
    </table>
  {% endif %}
  </div>
</div>

